Welcome to MBM 5

In this help file I will try to explain most of the function of MBM 5 and try to get 1st time users started with the program.

It is almost impossible for me to explain every detail of the program. Many of the things you will find out as you explore more of the possibilities that MBM 5 offers.

if you have any problems please check out these 4 forums:

FAQ http://www.livewiredev.com/bbs/forumdisplay.php?s=&forumid=68
Technical Support http://www.livewiredev.com/bbs/forumdisplay.php?s=&forumid=5
General Support http://www.livewiredev.com/bbs/forumdisplay.php?s=&forumid=7
Suggestions http://www.livewiredev.com/bbs/forumdisplay.php?s=&forumid=6

Aide de Motherboard (French version of this helpfile) @ http://www.charries.ovh.org/download.htm#mbm

MBM is Freeware, however if you feel it's worth anything then please visit my [image] account and donate

Alexander van Kaam

mbm@livewiredev.com


Step 1

Step 1 - Running MBM 5 for the very 1st time

When you start MBM 5 for the 1st time it will directly go to the system tray. This is the tray where you also see your clock.

A chip icon like this will represent MBM 5:

If you right click on this icon you will get a popup menu which looks a lot like this:

MBM 5 consists of 3 programs, the Main program which is now sitting in your tray, the Settings program where you can configure MBM 5 and the Dashboard program which shows you the readouts of MBM 5.

Now go to Step 2.


Step 2

Step 2 - Checking to see if your PC is supported

To check if your PC is supported, right click on the Tray Icon and select Settings from the menu. A few seconds later the Settings window will open up on your desktop.

It is quite big and has lots of buttons but do not worry about that too much. For this check we only need the General section. By default this section is already selected and should appear in Blue letters while the rest of the section buttons are still black.

The General section is divided into 3 sub sections, Basic, Advanced and System Info.

The first question you have to answer if are you an FIC SD-11 user, if you don't know what this means then you are not. However if you are a FIC-SD 11 user then you should go to the Advanced section first and check the FIC SD-11 checkbox. This will force the Sensor chip to work with MBM 5. Next press the Apply button which should be red by now and then Close MBM 5 by going to the Popup menu and selecting Close. Next start MBM 5 again and go to the Settings window.

The second question you have to answer if are you an Tyan 2640 MP or K7 Thunder user, if you don't know what this means then you are not. However if you are then you should go to the Advanced section first and check the Tyan checkbox which is at the bottom. This will make sure both sensor chips build into your board are available to MBM 5. Next press the Apply button which should be red by now and then Close MBM 5 by going to the Popup menu and selecting Close. Next start MBM 5 again and go to the Settings window.

The thrid thing we now need to do is to go to the System Info section of the General tab. To go there simply click the System info button.

A whole new panel has been opened that is still blank. Push the little PC button at the bottom left and you will see information about your system and MBM 5. The lines that are important are the ones marked with the text ----- Main Sensor Chip -----.

Under this header you should see what your Main Sensor Chip is. If you see None then this means that MBM 5 could not detect a primary sensor chip; this means that this version of MBM 5 can not show you any voltages or fans.

To check if this version can at least show you some temperatures look under the text -Sensor Chip Selections- to see if you see any sensor names listed there, if you do not have any sensor names then this version of MBM is of no use to you, A future version might work with your PC as I add new sensor chips on a regular bases. Of course if you have no sensor chip at all then MBM 5 will never work on your PC.

If you see a chip name or you see at least some sensor names then go to step 3 , just remember that if you don't see a chip name you can skip the part about voltages and fan in step 3


Step 3

Step 3 - Setting up the basics

There are a few things that should be setup -Temperature Sensors, Voltage settings and Fans- as these 3 items are a vital part to MBM 5. I will take you through them step by step using my configuration, but this might not be the same configuration as your machine !

Setting up the Temperature Sensors

On the left side of the Settings window click on the General selection button, and make sure the Basic sub section at the top is also selected. You will see a whole list of basic options. The only one we are interested in right now is the Temperature Format You Want To Use MBM 5 In. Select here if you want your temperature readouts in Celsius or Fahrenheit.

On the left side of the Settings window click on the Temperature selection button. A whole new section will open up that is only about the Temperature.

At the top of this new section you should see something like this:

MBM 5 can handle 10 temperature sensors; they are named Sensor 1 to Sensor 10 and you select these in the top list box.

Any sensors that are detected on your PC are listed in the bottom listbox. It very much depends on your PC and it's Sensor Chip as to how many sensor there can be readout. For a detailed list it might be a good thing to check out my webpage and look in the Board list for your specific board. If your board is not there then you will have to figure out yourself as to what your Case and what your CPU sensors are. A simple way to determine this is the fact that the CPU temperature will almost always be higher then the Case.

As I said above, MBM 5 can handle up to 10 sensors, but to each of these MBM sensors you need to link a board sensor. You simply do this by selecting a board sensor from the bottom listbox, like I did in the screenshot below:

As you can see I linked up Sensor 1 of MBM to the board sensor Asus 1.

Once we have the sensor linked up, we want to display it. For this we need to go to the Visual section for the selected MBM sensor. To do this simply click on the Visual button which is just below the bottom listbox and you will get the following screen:

As you can see I already checked the Display Temperature in System Tray and Display temperature in dashboard screen. This means that THIS MBM sensor will be displayed in both these locations; please do the same.

You should also have noticed that the Apply button has turned red by now. This means that you have changed some settings and they are not yet applied. Click the Apply button and a few seconds later you should notice that the chip icon in the tray has changed to a number, like in this image:

What you now see is the readout of the board sensor you selected in the system tray.

Depending on your board you might have more then 1 sensor to be read out. If this is the case then all you need to do next is select MBM sensor 2 and link another board sensor to this, then again for this sensor check the 2 boxes and you should end up with something like this:

It shows all 3 the temperature sensors that my board supports.

Of course you can set alarm values and other settings for each of these sensors, but for now this is not needed to get MBM 5 up and running.

Setting up the voltages

On the left side of the Settings window click on the Voltage selection button. A whole new section will open up that is only about the Voltages, in a way this section is very similair to the temperature section, the only diffrence being that sensor 1 to 7 are always hooked up to "MBMfixed" meaning you can't change them, sensor 8 to 16 can be changed to custom if you want. So for this setup guide you can really ignore the 1st to boxes and focus on the the Voltage Configuration :

Some boards use a different voltage configuration. Normally the Standard option is correct; however, check in the listbox to see if there might be a configuration mentioned that is specific to your motherboard. If this is the case then change it and press the apply button.

To configure the Core0 and Core1 voltage line, it is very handy to also open the Dashboard, so please right click on any of the temperatures in your system tray and select the Dashboard screen. It will open up and you should see something like this:

As you can see also the 3 temperature sensors we selected above are now displayed, but what we are now concerend about are the voltages. You can see that MBM sets up 7 voltages as default; what MBM can not determine however, is your Core voltage. This is because of the following reasons:

- Core voltages change per CPU type/version and I for one cannot detect these automatically
- A sensor chip might support 2 core voltages but you may only have 1 cpu so only 1 valid core line. Often if this is the case the board maker uses the other -spare- core line to display the 1.5 or 2.5 voltage line.

What we can see from the above screenshot is that my core0 is 2.08 and my core1 is 2.51. It is very clear that core1 in fact is nothing else but the 2.5 voltage line and that core0 is my real cpu core voltage.

Our next step is to make this clear to MBM 5. For this we again head over to the Settings window and the voltage section. Let's first go again to the Visual section of the voltage area by simply clicking on the Visual button. Next select Core1 from the 2nd listbox labeled MBM Voltage Sensor. You will end up with a screen looking a lot like this:

From what we determined after watching the Dashboard screen, we now know that in this case Core 1 really displays the +2.5 line, so click with your mouse in the Voltage line name box and change the name Core 1 to +2.5. Next click on the Alarm button to get the alarm settings for the voltage we selected and you will get something like this:

The final step we need to take for this 2.5 line is to set the Voltage Line Should Be to 2,5 Volt. After you have done this you have set up the old Core1 sensor to monitor the 2,5 volt line.

This of course still leaves the real Core0 line, in my case it shows 2.08 volts as we seen from the dashboard, so all I need to do is select Core0 from the MBM Voltage Sensor box and set the Voltage Line Should Be to 2.08. I also changed Core0's name to CPU, pressed apply and ended up with the following dashboard:

If you do not know your core voltage then check out your BIOS or documentation that came with your CPU or even the CPU makers webpage. With some logical thinking it is not so very hard to determine the correct voltage for your CPU

Setting up the Fan Sensors

On the left side of the Settings window click on the Fan selection button. A whole new section will open up that is only about the Fans.

At the top of this new section you should see something like this:

The setup of this section is very similiar to how you setup the temperatures, MBM 5 can handle 10 fan sensors; they are named Fan 1 to Fan 10 and you select these in the top list box.

Any Fans that are detected on your PC are listed in the bottom listbox. It very much depends on your PC and it's Sensor Chip as to how many fans there can be readout.

Like the temperature section you have to link up a MBM sensor with a Fan sensor, you do this by selecting a board sensor from the bottom listbox, like I did in the screenshot below:

You have now set up the basic settings of MBM 5 and this is the end of this little 3 step "1st time running MBM 5" section.

Once you have a Fan sensor linked up you can set it's alarm and visual settings in a similair way as you did with the voltages and temperatures, click the alarm button or the visual button to change what you would like to change.

the Fan type and Fan divider are explained in detail right here . The default settings of 1 and 4 should be fine for most users

For all the options in MBM simply read this help file.


sections explained

MBM 5 sections explained

In this part of the help file you will find explanations of all the parts the make up MBM 5, generally there are 3 parts:

- the main MBM5.EXE program, this is the program in your system tray
- the Settings window, this is where you setup MBM 5
- the Dashboard , this is a window that shows you all the values MBM 5 reads out.


Settings

The settings screen is the place to setup MBM 5 to your needs. It is divided into several sections which might have some subsections. Whatever you change in here, it will only be applied if you press the apply button.

The 3 buttons on the settings screen do the following:

this will close the settings screen
this will minimize the settings screen
this will open the dashboard


Settings - General

The general section is where you can set the general option for MBM 5 and where you can get your system information.

The general section is divided in 3 sub sections:


Settings - General - Basic

The language you want to use MBM 5 in

This is where you determine in what language MBM 5 should be displayed and should work in. New language files appear as MBM 5 users take the time and effort to create them, so check out the MBM 5 Download section on my MBM 5 webpage

The temperature format you want to use in MBM 5

Here you select what temperature format MBM 5 should use, either Celcius or Fahrenheit

Would you like to use the degree symbol

Some languages have a problem with the degree symbol, if you uncheck the box the symbol will not be used

The interval time with which MBM 5 should work

Here you determine the interval time that MBM 5 uses for it's main processes; the lower you set it the faster MBM 5 will react to temperature changes but it also means more resource usage. The default value is 10 seconds.

Start MBM 5 together with Windows

Would you like MBM 5 to be started together with Windows; if so then simply check this box

Show splash screen when MBM 5 starts

When MBM 5 starts should it display the splash screen ?

Show confirmation request on closing MBM 5

If you close MBM 5 do you want it to ask you for comfirmation on this ?

When MBM start open the dashboard as well

If MBM 5 starts should it automatically open the dashboard window as well ?

Delay opening dashboard on startup for

If you have the previous option checked then you can use this to make the dashboard appear a bit later, in case there is still a lot of stuff loading and opening on your desktop

Display CPU in dashboard screen ?

If you check this box then the CPU will appear in the dashboard

CPU Name

Enter the name of your CPU in here, with that name the CPU will be mentioned through the whole program

Style of CPU meter in dashboard screen

Here you can select the style of the VU-meter you want to use to display the CPU speed

Color and font for CPU meter (if selected meter requiers it)

Here you can select the color and font that some of the meters styles might use (vumeter uses nothing of this, digital uses the color and text label uses all settings)

Scale for the CPU meter in dashboard screen (VUM style)

A VU-meter you select might need some sort of scale. Here you enter the maximum of that scale, it always should be higher then the CPU speed else the VU-meter may not be able to display the cpu speed

Show CPU as tooltip

If you check this box then the CPU speed will be shown in a so called "tooltip", which will appear if you hold your mouse over the temperatures in the systemtray for a second or 2

Symbol used in .CSV files

You have the option to save information from MBM 5 into log files, one of the formats supported is the .CSV (comma seperated value) file. Depending on your setup, you might need to enter another symbol to be used instead of a ; or a ,

Set the following menu option as double click

This option allows you to select what happens when you double click the icon in the system tray.

When opening settings screen go to tab

This option allows you to select which tab should be opened when you open the settings screen.

Enable RD2Pro support

Turning this on will make MBM send the (below) selected temp to the (below) selected port so that the RD2Pro ( www.ioss.com.tw ) can find it and display it.

Port ($80 or $84)

This determins the port to which MBM sends the (below) selected temp, only $80 and $84 are valid ports as others are not scanned by the RD2Pro and might even cause system problems.

Sensor number

This determins the sensor which value has to be send to the above selected port

Scan for IDE harddrives with temp sensor

[warning] although I feel the code is as good as I can get it, some users have found issues with enabling this, from a simple 'drives no longer go in standby' to 'error logs in the win2000 system logs about the drives' so if you use this be careful. [ any programer reading this who knows a lot about smart feel free to contact me :) ]

When you enable this option MBM needs to be restarted and will look for IDE drives that have (via S.M.A.R.T) a temp sensors, not all smart drives have a temp sensor. Currently the MBM code does not work on RAID configurations

WIN2000/XP: nothing needs to be done to enable this feature on your OS

WIN9X/ME: it might be needed to copy/move the file smartvsd.vxd from your windows\system to your \windows\system\iosubsys and reboot

A thank you goes out to Tamas over at http://www.aida32.hu/ for helping me out on this big time

Scan for SCSI harddrives with temp sensor

[warning] this is code I have tested very well on my own SCSI based system and I have found no flaws so far, hower I can believe that the same issue might appear as with the IDE option.

When you enable this option MBM needs to be restarted and will look for SCSI drives that have a temp sensors, not all SCSI have a temp sensor.

MBM uses ASPI to access the SCSI drives, this is a driver created by Adaptec. If your new to ASPI then please take your time and visit http://aspi.radified.com/ and read up on it. I am currently using driver version 4.71 on my win2000 system

WIN2000/XP/NT/98/ME: you need to have ASPI installed, as I am writting this [aug 2002] the latest version is 4.71 and can be found at http://www.adaptec.com/worldwide/support/driverdetail.html?sess=no&cat=/Product/ASPI-4.70&filekey=aspi_v471.exe and please check out http://www.livewiredev.com/bbs/showthread.php?s=&threadid=3441 for more info posted by Bill Drake

If you do not have this driver installed then MBM won't be able to scan your SCSI drives

Win95: you also need the ASPI driver installed but you are stuck with version 4.60 which can be found at http://www.adaptec.com/worldwide/support/drivers_by_product.html?sess=no&cat=/Product/EZ-SCSI_5.01

you install these drives at your own risk !!!

A big thank you goes out to Craig Johnston who send me some C++ code which I made readable in Delphi ;)


Settings - General - Advanced

Enable FIC-SD11 Support. (You need to restart MBM for this to take effect. It can be dangerous, so use it at your own risk)

If you have a FIC SD11 motherboard then you might need to use this option to force the sensor chip to work. You use this option totally at your own risk, and if you don't have a FIC SD11 board then DO NOT USE IT

Enable RAS support. (This can give an error on Windows NT/2000 machine who have no dial-up adapter installed)

If you want to use the e-mail SMTP option and also use the RAS (dial-up adapter) option then you need to check this box, by default it is not checked to avoid problems for some users who have no RAS installed

Detect SMBus before detecting primary sensor chip

UN-Check this box if you want MBM to 1st detect your sensor chip and then the SMBUS, this will mean that it will/can only detect ISA based sensor chips as the primary sensor chip, if MBM 5 works okay then leave this box checked, if MBM confuses a SMBus based sensor chip for an ISA one then this might be an option

Ali Southbridge (this device can not always be detected correctly, if you feel MBM is wrong select the option you want)

The Ali Southbridges (1535D, 1515D+, 1533, 1543 and 1543C) can be placed in rougly 2 groups, the 1535D and 1535D+ in 1 group and the other 3 in the 2nd group. The problem with these 5 devices is that they all have the same Device ID, so it's not always 100% clear which one is which. For this reason you can override the MBM selection, if you feel MBM is wrong then simply select what you think is correct.

Do not reset sensor chip on startup of MBM

Default MBM resets the sensor chip when it starts up, this might give a problem with your bios (PC begins to beep). IF this happens then just turn the reset off

When opening Dashboard calculate it's position to be within the screen border

Default MBM checks the dashboards position to be within the desktop, so not smaller then 0 and not bigger then you resolution width and height. If however you are running dual monitor setup then you might want to turn this off

Force Bank0 Switch

This switch is used to force the bank of a sensor chip on the smbus to 0, you should not use this if you don't know what your doing and if your board is not in the below list. If a sensor chip's bank is not set to 0 then mbm can not detect it, so with this you might fix a wrong detection issue.

Once you set this switch you need to restart MBM to get it working

Board/PC | Value 1 | Value 2 | Value 3
HP Pavilion (bios version 2.06) | $2D | $4E | $00
Thunder K7 | $2D | $4E | $00

To enable password protection of your settings enter a password 2 times, to disable clear the 2 boxes

Entering you password 2 times here will make it that people who don't know the password can not get to the settings, remember this is no big 128-bit encryption, just to keep your "normal" user out of the settings

Enable $2E and $4E scanning

When you turn on this switch, MBM will scan on the $2E and $4E bus for devices, this might cause a crash of your system if you have no device there. This seems to happen more on older systems then new systems

Intel board with a ADM1025 sensor chip often have a fan sensor on these ports, so to get them you need to turn this on

a safe way to enable this switch (if you are not sure) is

: turn off the mbm start with windows, turn on the switch, press apply, close mbm and start mbm again

if you get a crash then simply open the mbm 5.ini file and change Scan 2E 4E=1 to Scan 2E 4E=0

Force ISA to SMB (restart MBM after selecting or changing this, use only when adviced to)

By selecting this option MBM will force a ISA sensor chip onto the SMB, this should only be used if it's stated on the motherboard page on the MBM site


Settings - General - System Info

On this section you will see 3 buttons at the bottom, from left to right these are:

- System info
- Debug Dumps
- Copy

Pressing the System Info button will show your system info & MBM 5, if you ever need to contact me, then please include this info, you can press the button at the bottom to copy all the info

Pressing the Debug Dumps button will give you menu where you can select several dumps.

Copy will simply copy the info to the clipboard so you can paste it in anywhere else.


Settings - Temperature

The Temperature section really exists of 3 parts; at the top you have the sensor selection and at the bottom you have the alarm and visual section for the selected MBM 5 sensor. So if you select a new MBM 5 sensor then the Alarm and Visual section will change according to the settings for the selected sensor. This means that you can/must configure each sensor on it's own

MBM 5 sensor

MBM 5 can display up to 32 temperature sensors, the selected sensor in this box determines to what sensor all the others changes you make on this tab are applied

Should display board sensor

This list shows the avaible sensors on your motherboard, you hook them to 1 of the 32 MBM 5 sensors. Only select Custom if you plan on using that sensor with an external program who will write to that slot, see the Write Shared Memory section for more detail on that.


Settings - Temperature - Alarm

All changes you make here are applied to the MBM 5 sensor you selected

High temperature alarm using

Here you have 2 options, Fixed or Relative. Fixed is the default option and should be use 95% of the time. It simply means thaty ou set a fixed value at which an alarm should be raised.

Relative means the alarm value is relative to the readings of another sensor + a value you set. The reason for this feature is best explained in the next part, send in by the MBM user who requested this feature:

Functionality?
Set the high temperature alarm for one sensor relative to another.

Why do I want to use this function?
For instant you are an extreme overclocker and you decided that peltier and water-cooling is the ultimate path to take. At this point in time the CPU high temperature become very importance, one mishap with the water pump could instantly fry your CPU. Therefore the high temperature alarm should be very sensitive, however CPU temp depend on two criteria: CPU heat dispensation, and ambient heat (case). Hence we cannot specify an accurate CPU high temperature alarm, since the ambient temperature is vary from time to time. This where this function comes in, it allows you to set the CPU high temperature relative to ambient (case) temperature if you know the max temperature output of your CPU.

How do I determine my CPU max temperature?
Start up CPU warming software (ie. Prime95, CPU stability or CPU burn ect.)
for an hour or so, records the CPU temperature and the Motherboard temperature.

The max CPU temperature = recorded CPU temperature – recorded Motherboard temperature

Example:
The max CPU temperature = 21 + 3(margin of error)
Sensor 1: CPU Temperature
Sensor 2: Motherboard Temperature

Under Sensor 1 Alarm Settings

Selects “Relative Value”
High temperature alarm equals value of Sensor: Sensor2 + 24

If the Motherboard Temperature is 20
Then the CPU High temperature alarm become 44

If the Motherboard Temperature change from 20 to 30
Then the CPU High temperature alarm become 54

High temperature alarm at (if Fixed is selected above)

Select at which value a High (too hot) alarm should be raised, .

High temperature equals value of alarm of sensor (if Relative is selected above)

How this works is explained above, simply select another sensor and add your max CPU temp value. It is not possible to select the same sensor as your working on, to avoid a loop.

Enable high temperature alarm for this sensor

Check this box to enable the High (too hot) alarm

Low temperature alarm at

Select at which value a Low(too cold) alarm should be raised

Enabled low temperature alarm for this sensor

Check this box to enable the Low (too cold) alarm

Compensation for this sensor

Some sensor might need a compensation value added to subtract from the value the sensor chip reports. Here you can select how much

When alarm goes off play

If an alarm goes off you can select a wav that should be played. This option only works if you select to show the alarm dialog box in the Alarm section

When alarm goes off start application

If an alarm goes off you can select a program that needs to be executed.

Start application with switch

The application you selected might need to have a so-called switch sent to it; enter the switch in this box

When alarm goes off start SHDN

If an alarm goes off you can make MBM 5 start SHDN now, if it is installed !This option only works if you select to show the alarm dialog box in the Alarm section

Start SHDN now with switch

SHDN now has several switches you can start it with. In this listbox you can see them all; you can also enter your own switch if needed

SHDN delay

This determines how long MBM 5 will warn you before SHDN is executed

Send E-mail when alarm goes off

If you check this option AND you filled in the e-mail section correctly, MBM 5 will send an e-mail when an alarm goes off


Settings - Temperature - Visual

All changes you make here are applied to the MBM 5 sensor you selected

Sensor name

You can enter the name of the sensor in this box, so you always knows what it represents

Display temperature in system tray

Check this box if you want this MBM 5 sensor to be shown in the system tray

Sensor colour

This determines the colour the sensor should be displayed with in the system tray

Background colour

This determines the colour of the background that is used when displaying the sensor in the systemtray. Tray BG means the background color of the tray

Display temperature in dashboard screen

Check this box to make sure this sensor appears in the dashboard

Style of temperature meter in dashboard screen

Here you can select the style of the VU-meter you want to use to display the Temperature

Color and font for Temperature meter (if selected meter requiers it)

Here you can select the color and font that some of the meters styles might use (vumeter uses nothing of this, digital uses the color and text label uses all settings)

Scale for the temperature meter in dashboard screen (VUM Style)

A VU-meter you select might need some sort of scale; here you enter the maximum of that scale. It always should be higher then the max Temperature for this sensor else the VU-meter may not be able to display the temperature

Display sensor in the high & low log and in the interval log

If you check this box then this sensor will be shown in all log's; if you uncheck it, it won't

Show as tooltip

If you check this box then the Temperature will be shown in a so called "tooltip", which will appear if you hold your mouse over the temperatures in the systemtray for a second or 2. The max size for a tooltip is 67 characters, if you exceed that then it will simply be cut off


Settings - Voltage

The Voltage section really exists of 3 parts; at the top you have the sensor selection and at the bottom you have the alarm and visual section for the selected MBM 5 sensor. So if you select a new MBM 5 sensor then the Alarm and Visual section will change according to the settings for the selected sensor. This means that you can/must configure each sensor on it's own

MBM 5 sensor

MBM 5 can display up to 16 voltage sensors, the selected sensor in this box determines to what sensor all the others changes you make on this tab are applied, there is one limitation, sensor 1 to 7 are fixed and you can not change those

As of MBM 5.3.0.0 you can set voltage sensor 8 to 16 also to MBM Fixed, to get any reading you will have to edit the Voltage.ini or even better create your own Voltage Custom.ini, for more info read those 2 files, they are located in the data directory.

If you create an 8th (or more) voltage in your .ini file then all you need to do is set that same voltage sensor in MBM to MBM Fixed.

Should display board sensor

This list shows the avaible sensors on your motherboard, you hook them to 1 of the 16 MBM 5 sensors. Only select Custom if you plan on using that sensor with an external program who will write to that slot, see the Write Shared Memory section for more detail on that.

Voltage configuration

On some boards you need a special voltage configuration, if your board is in this list then select it, else just go for the standard one


Settings - Voltage - Alarm

Voltage line should be

Here you can select the optimal value this voltage line should be.

Tolerance of voltage line

Here you enter the tolerance in % that are allowed for this voltage line

Enable voltage alarm for this line

Check this box to enable the alarm

When alarm goes off play

If an alarm goes off you can select a wav that should be played. This option only works if you select to show the alarm dialog box in the Alarm section

When alarm goes off start application

If an alarm goes off you can select a program that needs to be executed.

Start application with switch

The application you selected might need to have a so-called switch sent to it; enter the switch in this box

When alarm goes off start SHDN

If an alarm goes off you can make MBM 5 start SHDN now, if it is installed ! This option only works if you select to show the alarm dialog box in the Alarm section

Start SHDN now with switch

SHDN now has several switches you can start it with. In this listbox you can see them all, you can also enter your own switch if needed

SHDN delay

This determines how long MBM 5 will warn you before SHDN is executed

Send E-mail when alarm goes off

If you check this option AND you filled in the e-mail section correctly, MBM 5 will send an e-mail when an alarm goes off


Settings - Voltage - Visual

Voltage line name

You can enter the name of the sensor in this box, so you always knows what it represents

Display voltage in dashboard screen

Check this box to make sure this sensor appears in the dashboard

Style of voltage meter in dashboard screen

Here you can select the style of the VU-meter you want to use to display the voltage

Color and font for voltage meter (if selected meter requiers it)

Here you can select the color and font that some of the meters styles might use (vumeter uses nothing of this, digital uses the color and text label uses all settings)

Scale for the voltage meter in dashboard screen (VUM Style)

A VU-meter you select might need some sort of scale; here you enter the maximum of that scale. It always should be higher then the max voltage for this sensor else the VU-meter may not be able to display the voltage. A good idea for voltage is to set the scale 2*voltage

Display sensor in the high & low log and in the interval log

If you check this box then this sensor will be shown in all log's, if you uncheck it, it won't

Show as tooltip

If you check this box then the voltage will be shown in a so called "tooltip", which will appear if you hold your mouse over the temperatures in the system tray for a second or 2. The max size for a tooltip is 67 characters, if you exceed that then it will simply be cut off


Settings - Fan

The Fan section really exists of 3 parts; at the top you have the sensor selection and at the bottom you have the alarm and visual section for the selected sensor. So if you select a new sensor then the Alarm and Visual section will change according to the settings for the selected sensor. This means that you can/must configure each sensor on it's own.

MBM Fan sensor

MBM 5 can show you up to 16 fans, the one you select here determines to what sensor all the others changes you make on this tab are applied

Should display board sensor

This list shows the avaible fans on your motherboard, you hook them to 1 of the 16 MBM 5 fans. Only select Custom if you plan on using that fan with an external program who will write to that slot, see the Write Shared Memory section for more detail on that.

Fan Type

Some Fans will show a too high RPM or a to low RPM as the pulses they send per second don't match what the sensor chip expects.

There are 11 settings, /1 to /10 which divide the readings by that amount and *2 which muliplies the reading by 2. Default setting for 99% of all boards will be /1

Fan Dividor

Default this value is 4, this means that fans as low as 1300 rpm will show up, the lower you set this value the more accurate the fan RPM will be, but if you set it to low your fan might not show up. Not all sensor chip support values higher then 8, if yours does not then selecting 16, 32, 64, or 128 will simply make mbm use the 8

Check the little table below:

Dividor | Minimal RPM | Highest RPM | Use in most cases for:
1 | 5300 | 1350000
2 | 2650 | 675000 | CPU Fans
4 | 1325 | 337500 | Case Fans
8 | 662 | 168750
16 | 331 | 84375
32 | 165 | 42187
64 | 82 | 21093
128 | 41 | 10546


Settings - Fan - Alarm

Minimal RPM of fan

Here you can select the minimal value the fan should run at

Enable fan alarm for this fan

Check this box to enable the alarm

When alarm goes off play

If an alarm goes off you can select a wav that should be played. This option only works if you select to show the alarm dialog box in the Alarm section

When alarm goes off start application

If an alarm goes off you can select a program that needs to be executed.

Start application with switch

The applcation you selected might need to have a so-called switch sent to it; enter the switch in this box

When alarm goes off start SHDN

If an alarm goes off you can make MBM 5 start SHDN now, if it is installed !This option only works if you select to show the alarm dialog box in the Alarm section

Start SHDN now with switch

SHDN now has several switches you can start it with. In this listbox you can see them all, you can also enter your own switch if needed

SHDN delay

This determines how long MBM 5 will warn you before SHDN is executed

Send E-mail when alarm goes off

If you check this option AND you filled in the e-mail section correctly, MBM 5 will send an e-mail when an alarm goes off


Settings - Fan - Visual

Fan name

You can enter the name of the sensor in this box, so you always knows what it represents

Display fan in dashboard screen

Check this box to make sure this sensor appears in the dashboard

Style of fan meter in dashboard screen

Here you can select the style of the VU-meter you want to use to display the fan

Color and font for fan meter (if selected meter requiers it)

Here you can select the color and font that some of the meters styles might use (vumeter uses nothing of this, digital uses the color and text label uses all settings)

Scale for the fan meter in dashboard screen (VUM Style)

A VU-meter you select might need some sort of scale. Here you enter the maximum of that scale; it always should be higher then the max rpm for this fan else the VU-meter may not be able to display the fan.

Display sensor in the high & low log and in the interval log

If you check this box then this sensor will be shown in all log's; if you uncheck it, it won't

Show as tooltip

If you check this box then the voltage will be shown in a so called "tooltip", which will appear if you hold your mouse over the temperatures in the systemtray for a second or 2. The max size for a tooltip is 67 characters, if you exceed that then it will simply be cut off


Settings - General - Basic

Settings - CPU

Display CPU speed in dashboard screen ?

If you check this box then the CPU will appear in the dashboard, this is the speed on the 1st CPU if you have more then 1

CPU Speed Name

Enter the name of your CPU in here, with that name the CPU will be mentioned through the whole program

Style of CPU Speed meter in dashboard screen

Here you can select the style of the VU-meter you want to use to display the CPU speed

Color and font for CPU speed meter (if selected meter requiers it)

Here you can select the color and font that some of the meters styles might use (vumeter uses nothing of this, digital uses the color and text label uses all settings)

Scale for the CPU speed meter in dashboard screen (VUM style)

A VU-meter you select might need some sort of scale. Here you enter the maximum of that scale, it always should be higher then the CPU speed else the VU-meter may not be able to display the cpu speed

Show CPU speed as tooltip

If you check this box then the CPU speed will be shown in a so called "tooltip", which will appear if you hold your mouse over the temperatures in the systemtray for a second or 2

Update CPU speed X seconds after start (0 = disabled)

If you set the value here higher then 0, then MBM will re-calculate your CPU speed X seconds after it's started, the reason for this is that often during windows startup the calculation is a bit off

Enable cpu usage (after apply close and restart MBM)

By Default as of version 5.1.0.1 this is turned off, the reason for this is that a very few users got into troubles by turning this on, the problems that appeared where either a exception error when starting MBM or a slow down of windows.

Display CPU usage in system tray

Check this box if you want MBM to show your CPU usage in the system tray

CPU colour

This determines the colour the cpu usage should be displayed with in the system tray (all CPU's will have the same colour)

Background colour

This determines the colour of the background that is used when displaying the cpu usage in the systemtray. Tray BG means the background color of the tray

Display CPU usage in dashboard screen ?

If you check this box then the CPU usage will appear in the dashboard

CPU usage Name

Enter the name of your CPU in here, the nr of the CPU will be added automaticly

Style of CPU usage meter in dashboard screen

Here you can select the style of the VU-meter you want to use to display the CPU usage

Color and font for CPU usage meter (if selected meter requiers it)

Here you can select the color and font that some of the meters styles might use (vumeter uses nothing of this, digital uses the color and text label uses all settings)

Show CPU usage as tooltip

If you check this box then the CPU usage will be shown in a so called "tooltip", which will appear if you hold your mouse over the temperatures in the systemtray for a second or 2

Display sensor in the high & low log and in the interval log

If you check this box then the CPU usage will be shown in all log's; if you uncheck it, it won't


Settings - Alarms

Settings - Alarm

This global alarm section is divided in 2 sub sections:


Settings - Alarm - General

Show a dialog box when an alarm goes off

Checking this option will show an alarm message for any sensor which passes it's alarm values. This option is also needed to execute SHDN, Wavs and E-mail. If you don't check this option then the mentioned option will not work

Alarm frequency

Determine the frequency of the alarm, press the speaker button to test it

Write all alarm messages to a log file

If you check this box you enable the option to write alarm messages to a log. Which log you determine in the following 4 options

.TXT

Will write the log to a .TXT file, the buttons behind it will open the log or delete it.

.CSV

Will write the log to a .CSV file, the buttons behind it will open the log or delete it

.HTML

Will write the log to a .HTML file, the buttons behind it will open the log or delete it

.XML

Will write the log to a .XML file, the buttons behind it will open the log or delete it

NT Event Viewer

If you have Windows NT or 2000 then the messages will be written in the Event Viewer

Location for alarm log files

Here you can select a location for the log files to be written to

Alarm Log Name

Here you can set the filename for the log files that hold the alarm messages, MBM will add the extension needed

Maximum entries in the alarm log files

Here you state the max number of entries you want to have in the log file, the higher the number the more work MBM will have, but below 100 you should be okay. If the max number is reached then the oldest entry will be removed so a new one can be added. In XML logs this changes a little bit, instead of entries limited to X it's the date's that are limited to X, so you can have as many entries as you want per date but it will only allow as many dates in it as you specify here.

XSL entry in XML files (leave blank to have no entry)

Here you have the option to add a XSL entry into the XML file.

XSL is a way of transforming XML into something else, like HTML. You can write an XSL file (which is in XML), and basically pick data parts from the original XML file and place them where-ever you want to in an HTML file. To use XSL you need an XSL processor, luckily IE5+ and Netscape 6+ have them built in.

a valid entry would be: <?xml-stylesheet type="text/xsl" href="myselectfile.xsl"?>

To learn about XSL and XML check out: Introduction to XSLT - Web Building - CNET.com

CSS entry in HTML files (leave blank to have no entry)

Here you have the option to add a CSS entry into the HTML file.

CSS is the same XSL (above) but less powerfull, and for HTML files only

a valid entry would be: <link rel="stylesheet" type="text/css" href="myselectedstylesheet.css">


Settings - Alarm - Sensors

Ignore Temperature Alarm

Here you can set how many times (in a row) an alarm value should be ignored before the alarm is raised

Ignore Voltage Alarm

Here you can set how many times (in a row) an alarm value should be ignored before the alarm is raised

Ignore Fan Alarm

Here you can set how many times (in a row) an alarm value should be ignored before the alarm is raised

Additional alarm text for temperature alarm (max. 255 characters, empty = no additional text displayed)

Any text you enter here will be displayed on the temperature alarm dialog box below the normal alarm text. This way you can tell users of your machine what to do when the alarm goes of. Just leave the box empty (not even a space) to have no additional text displayed

Additional alarm text for voltage alarm (max. 255 characters, empty = no additional text displayed)

Any text you enter here will be displayed on the voltage alarm dialog box below the normal alarm text. This way you can tell users of your machine what to do when the alarm goes of. Just leave the box empty (not even a space) to have no additional text displayed

Additional alarm text for fan alarm (max. 255 characters, empty = no additional text displayed)

Any text you enter here will be displayed on the fan alarm dialog box below the normal alarm text. This way you can tell users of your machine what to do when the alarm goes of. Just leave the box empty (not even a space) to have no additional text displayed


Settings - Fan

Settings - SystemTray & OSD

This section is divided into 2, the System tray section and the OSD section, both represent a way to show values of MBM on screen all the time.


Settings - SystemTray

Settings - Tray & ODS - System Tray

Please read:

It seems it's not always clear, but to get an icon in the system tray, go to the temperature tab, select the sensor you want to see in the tray, then press the visual button for that sensor and check the box "Display temperature in systemtray".

Rotate Icons in system tray

If you check this box then any temperature icon you have set to be shown in the system tray will now be pilled up into 1 icon and rotated at every interval

Use horizontal lines in system tray

If you check this box the icon will be displayed with the 2 lines, uncheck it to remove the lines

Replace icons on system tray after (0 = not)

If you have a lot of items loading into the tray at startup you can set this value to say 10 or 15 seconds, the icons will then be replaced so they will always line up to the right of the tray

Use a windows font instead of the MBM 5 fixed font in the system tray (not supported)

This is a non supported option, which means it works and that is it, I won't update or change it. The option to show the values from right to left & mirrored is not supported.

If you check this option then the tray icons will be drawn using the selected font.

  • If you display values in Celcius then they will never pass 2 digits and the font Arial with a size of 8 should be fine.
  • If you display values in Fahrenheit then you might encounter values of 3 digits, in that case the Terminal font with a size of 6 should be fine.

Font type & size

By pressing the font button you can select which font you want to use for the above option. Only font and size are used from your selection.


Settings - OSD

Settings - Tray & OSD - OSD

OSD stands for On Screen Display, this means you can make MBM show values on the screen, it's a bit like a window always on top except that it's transparent, so only the text is shown and you can see and click through it like it's not really there.

Special thanks go to Stig Jørgensen for comming up with this idea and for sending me some example code on which I could easly build this feature and eventually him just taking it over and creating all these cool features it now has.

A few technical notes about the OSD:

- It's a DLL loaded when needed, so no resources used when you don't want it
- It only updates every 5 seconds, does not mater what the mbm interval is
- It only updates when it's visible, so if your running a full screen application it won't update in the background to save resources
- the OSD can be very CPU hungry, so running it with a font size of 72 and a screen full of text will take cpu power

Enable OSD

Turn it on or off (will swap with the hotkey)

Enable OSD Hotkey

Turn it on or off (will swap with the enable OSD)

Default Color and font for OSD

The default color, font and style you want the OSD to use, the Styles Normal, Bold, Italic and Bold Italic are supported as well as all the basic colors

OSD position on screen X% from the left and Y% from the top

By using the sliders you select where the OSD text comes on the screen, the position you give is in percentage, where 0,0 means top left and 100,100 means bottom right. The position you give here determins where the top left position of the OSD text comes on the screen.

OSD Hotkey

Here you can set the OSD hotkey, pressing this hotkey with your keyboard will make the OSD appear on your screen, the OSD Enabled should not be turned on, else there is no need to show the OSD again with the hotkey. The OSD display will stay on the screen till 3 seconds after you released the hotkey. The hotkey should always be pressed together with the Combination you select, default this would be CTRL+ALT+M

OSD Hotkey delay

Here you enter the delay time in ms that the OSD should remain on the screen after you released the key. If you enter 0 then the OSD will remain on the screen till you press the hotkey combination again


Settings - OSD Script

Settings - Tray & OSD - OSD Script

OSD line to display

What you want to display in the OSD you can enter here, you can enter anything you want as long as you remember these and rules/options

  • normal text will appear on the screen using the default color and font displaying what ever you type in
  • There are a lot of special syntax's that will put a value of MBM 5 on the screen, most of these commands exist twice, once to display that specific value using all the formating mbm normaly uses (degree symbol, C or F symbol, RPM, Volt. ect. etc.) and once to display or send only that specific value without any formating (the stripped version in the table below), this last option is best used in the special display syntax which will be explain further down. But first here is a list of normal display syntax and their stripped counter part:
Formated | Stripped | Explenation
<Temp X Name> | TxN | Send the name of temperature sensor X (where X is between 1..10)
<Temp X Value> | TxV | Send the current value of temperature sensor X (where X is between 1..10)
<Temp X Alarmhigh> | TxAH | Send the alarm high limit of temperature sensor X (where X is between 1..10)
<Temp X Alarmlow> | TxAL | Send the alarm low limit of temperature sensor X (where X is between 1..10)
<Temp X Lowest> | TxL | Send the lowest value of temperature sensor X (where X is between 1..10)
<Temp X Highest> | TxH | Send the highest value of temperature sensor X (where X is between 1..10)
<Temp X Average> | TxAV | Send the average value of temperature sensor X (where X is between 1..10)
<Volt X Name> | VxN | Send the name of voltage sensor X (where X is between 1..7)
<Volt X Value> | VxV | Send the current value of voltage sensor X (where X is between 1..7)
<Volt X Alarm> | VxAL | Send the alarm value of voltage sensor X (where X is between 1..7)
<Volt X Lowest> | VxL | Send the lowest value of voltage sensor X (where X is between 1..7)
<Volt X Highest> | VxH | Send the highest value of voltage sensor X (where X is between 1..7)
<Volt X Average> | VxAV | Send the average value of voltage sensor X (where X is between 1..7)
<Fan X Name> | FxN | Send the name of fan sensor X (where X is between 1..10)
<Fan X Value> | FxV | Send the current value of fan sensor X (where X is between 1..10)
<Fan X Alarm> | FxAL | Send the alarm value of fan sensor X (where X is between 1..10)
<Fan X Lowest> | FxL | Send the lowest value of fan sensor X (where X is between 1..10)
<Fan X Highest> | FxH | Send the highest value of fan sensor X (where X is between 1..10)
<Fan X Average> | FxAV | Send the average value of fan sensor X (where X is between 1..10)
<CPU Load X Name> | CLxN | Send the name of CPU X (where X is between 0..3)
<CPU Load X Value> | CLxV | Send the current value of CPU X (where X is between 0..3)
<CPU Load X Lowest> | CLxL | Send the lowest value of CPU X (where X is between 0..3)
<CPU Load X Highest> | CLxH | Send the highest value of CPU X (where X is between 0..3)
<CPU Load X Average> | CLxAV | Send the average value of CPU X (where X is between 0..3)
<CPU 1 Name> | C1N | CPU Name
<CPU 1 Speed> | C1S | CPU Speed
<Time> | Current Time
<Date> | Current Date
<Number of Readouts> | Number of readouts done
/* /* To start a section of your script you don't want shown
*/ */ To send a section of your script you don't want shown
<Uptime> | Uptime of the system
<PCName> | Name of the system
<InternetIP> | Internet IP number
<LanIP> | Lan IP number
<MemLoad> | Specifies a number between 0 and 100 that gives a general idea of current memory utilization, in which 0 indicates no memory use and 100 indicates full memory use.
<MemTotalPhys> | Indicates the total number of MB of physical memory.
<MemAvailPhys> | Indicates the number of MB of physical memory available.
<MemTotalPage> | Indicates the total number of MB that can be stored in the paging file. Note that this number does not represent the actual physical size of the paging file on disk
<MemAvailPage> | Indicates the number of MB available in the paging file.
<MemTotalVirt> | Indicates the total number of MB that can be described in the user mode portion of the virtual address space of the calling process.
<MemAvailVirt> | Indicates the number of MB of unreserved and uncommitted memory in the user mode portion of the virtual address space of the calling process.
  • as an example for the above commands:

A simple line using the format syntax

my <Temp 2 Name> is at this moment <Temp 2 Value>, the highest it has been today is <Temp 2 Highest>

the above will appear on the OSD as:

my CPU is at this moment 52°C, the highest it has been today is 61°C

however the same line using the stripped command it will look like this:

my T2N is at this moment T2V, the highest it has been today is T2H

and this will appear on the OSD as:

my CPU is at this moment 52, the highest it has been today is 61

  • now as I explained above there also is a special display syntax, which Stig has implemented in the OSD unit, it might be a bit tricky but if you experiment a little you should be okay. Remember to always send the stripped command syntax along if you want to send a MBM value with these display syntaxes.

<TEXT COLOR Color of the following text COLOR CONSTANT
or
#XXXXXX = HEX VALUE OF COLOR
WIDTH | Width of the text (used for alignning) | INTEGER
SHADOW | Text shadow | ON | OFF
CURRENT | Current value for the below evaluasions | INTEGER (stripped command syntax: T1V to send Temp sensor 1 his value)
WARNLIMITLOW | If CURRENT is below this value use WARNCOLOR as color | INTEGER or stripped command syntax
WARNLIMITHIGH | If CURRENT is exeeding this limit use WARNCOLOR as color | INTEGER or stripped command syntax
WARNCOLOR Warning Color of text COLOR CONSTANT
or
#XXXXXX = HEX VALUE OF COLOR
ERRORLIMITLOW | If CURRENT is below this value use ERRORCOLOR as color | INTEGER or stripped command syntax
ERRORLIMITHIGH | If CURRENT is exeeding this limit use ERRORCOLOR as color | INTEGER or stripped command syntax
ERRORCOLOR Error Color of text COLOR CONSTANT
or
#XXXXXX = HEX VALUE OF COLOR
<TAB | NUMBER | Number of tabs, Default = 1 | INTEGER
>
<BR | HEIGHT | Addtional height to line break, Default = 0 | INTEGER
>
  • This might seem a bit much and complicated so below is a small demonstration of how this can be used, we presume for this example that your default text color is set to black.

The below syntax:

At this moment my <TEXT COLOR=clBLUE> <TEMP 2 NAME> <TEXT COLOR=clBlack> is <TEXT COLOR=clRED CURRENT=T2V WARNLIMITLOW=T2AL WARNLIMITHIGH=T2AH WARNCOLOR=clFUCHSIA> <TEMP 2 VALUE>

Will appear like this on the screen:

At this moment my CPU is 52°C

You will now think but hey!, I can do this much simpler, why all the extra stuff, well the extra stuff is used to create the effect that if the CPU temp drops below or reaches above the set alarm values in MBM the color will change from it's current red to fuchsia

For those of you who still don't fully get it lets explore the line step by step:

1) At this moment my // simple text that will appear in black since that was the default color

2) <TEXT COLOR=clBLUE> // lets change the color for the next text in blue

3) <TEMP 2 NAME> // send the MBM temp name along, it will appear in blue because of the command mentioned in 2)

4) <TEXT COLOR=clBlack> // we want the next text to be in black again

5) is // again simple text and it will appear in black since we said it should in command 4

6a) <TEXT COLOR=clRED // part 1 of this command, we want the next text in red

6b) CURRENT=T2V // part 2 of this command, we send along the MBM value for temp sensor 2 and as you can see we send it in it's stripped down style, as we only want the number

6c) WARNLIMITLOW=T2AL // part 3 of this command, here we say that the low warn limit is the same as the MBM low alarm value for temp sensor 2. Again as you can see we send along the stripped value. T2AL can also be replaced by any number you want

6d) WARNLIMITHIGH=T2AH // part 4 of this command, here here we say that the low warn limit is the same as the MBM high alarm value for temp sensor 2. Again as you can see we send along the stripped value. T2AH can also be replaced by any number you want

6e) WARNCOLOR=clFUCHSIA> // the last part of the command, here we give the warn color. Now if the current value is between the high and low limits then the next text will be displayed in the color red as was the 1st part of the command. However if the current value is lower the then the low limit or higher then the high limit the next text will be on the color Fuchsia.

7)<TEMP 2 VALUE> // to finally show the temp 2 value, the color is determined by 6a to 6e


Settings - High Low

This High Low section is divided in 2 sub sections:


Settings - High Low - High Low

In this section you see the current, highest, lowest and average value of all the sensors you have enabled for this section.

You also see the number of readouts, starting time, ending time (current time) and cpu speed

There are also 2 buttons. One will put everything to 0 and create a new log session and the other button will save the log. How and if the log is saved of course depends on the settings you have set in the High Low Settings section


Settings - High Low - Settings

When MBM 5 closes write the high/low log to a file

Check this box to make MBM 5 write the high/low log each time it closes, how this log is written is determined by the next 3 options

.TXT

Will write the log to a .TXT file, the buttons behind it will open the log or delete it.

.CSV

Will write the log to a .CSV file, the buttons behind it will open the log or delete it

.HTML

Will write the log to a .HTML file, the buttons behind it will open the log or delete it

.XML

Will write the log to a .XML file, the buttons behind it will open the log or delete it

Write high/low log on selected interval

If you check this then at a set interval (the next option) the log file will be written using the above selected formats

Interval time for high/low log writting

The interval time to write the high/low log

Location for high/low log files

Here you can select a location for the log files to be written to

High/low Log Name

Here you can set the filename for the log files that hold the high/low messages, MBM will add the extension needed

Maximum entries in the high/low log files

Here you state the max number of entries you want to have in the log file, the higher the number the more work MBM will have, but below 100 you should be okay. If the max number is reached then the oldest entry will be removed so a new one can be added. In XML logs this changes a little bit, instead of entries limited to X it's the date's that are limited to X, so you can have as many entries as you want per date but it will only allow as many dates in it as you specify here.

Show high/low negative voltage vector style

Which simply means that the values for the negative voltage get swapped around, so -10 is lower then -12.

XSL entry in XML files (leave blank to have no entry)

Here you have the option to add a XSL entry into the XML file.

XSL is a way of transforming XML into something else, like HTML. You can write an XSL file (which is in XML), and basically pick data parts from the original XML file and place them where-ever you want to in an HTML file. To use XSL you need an XSL processor, luckily IE5+ and Netscape 6+ have them built in.

a valid entry would be: <?xml-stylesheet type="text/xsl" href="myselectfile.xsl"?>

To learn about XSL and XML check out: Introduction to XSLT - Web Building - CNET.com

CSS entry in HTML files (leave blank to have no entry)

Here you have the option to add a CSS entry into the HTML file.

CSS is the same XSL (above) but less powerfull, and for HTML files only

a valid entry would be: <link rel="stylesheet" type="text/css" href="myselectedstylesheet.css">


Settings - General

Settings - Interval Log & SysLog

This section is divided in 2 sub sections:


Settings - Interval Log

Settings - Interval Log & SysLog - Interval Log

Enable interval log

Check this box to make MBM 5 write the interval log each at the selected interval (4 options below). How this log is written is determined by the next 3 options

.TXT

Will write the log to a .TXT file, the buttons behind it will open the log or delete it.

.CSV

Will write the log to a .CSV file, the buttons behind it will open the log or delete it

.HTML

Will write the log to a .HTML file, the buttons behind it will open the log or delete it

.XML

Will write the log to a .XML file, the buttons behind it will open the log or delete it.

There are some rules and changes needed in the sensor names if you want to use this option correctly:

- symbols will be replaced with minus_
+ symbols will be removed
<spaces> will be replaced with _
, will be replaced with .

Please make sure not the use any characters in the sensor names that are not allowed in attribute names

Interval log interval time

The interval time to write the log

Location for interval log files

Here you can select a location for the log files to be written to

Interval Log Name

Here you can set the filename for the log files that hold the Interval messages, MBM will add the extension needed

Maximum entries in the interval log files

Here you state the max number of entries you want to have in the log file, the higher the number the more work MBM will have, but below 100 you should be okay. If the max number is reached then the oldest entry will be removed so a new one can be added. In XML logs this changes a little bit, instead of entries limited to X it's the date's that are limited to X, so you can have as many entries as you want per date but it will only allow as many dates in it as you specify here.

Include value symbols in the interval log

If you uncheck this button then only the values, not the symbols, will be written in the log file.

XSL entry in XML files (leave blank to have no entry)

Here you have the option to add a XSL entry into the XML file.

XSL is a way of transforming XML into something else, like HTML. You can write an XSL file (which is in XML), and basically pick data parts from the original XML file and place them where-ever you want to in an HTML file. To use XSL you need an XSL processor, luckily IE5+ and Netscape 6+ have them built in.

a valid entry would be: <?xml-stylesheet type="text/xsl" href="myselectfile.xsl"?>

To learn about XSL and XML check out: Introduction to XSLT - Web Building - CNET.com

CSS entry in HTML files (leave blank to have no entry)

Here you have the option to add a CSS entry into the HTML file.

CSS is the same XSL (above) but less powerfull, and for HTML files only

a valid entry would be: <link rel="stylesheet" type="text/css" href="myselectedstylesheet.css">


Settings - SysLog

Settings - Interval Log & SysLog - SysLog

The Syslog is an option to send MBM sensor info via UDP to a Syslog server using the BSD Syslog protocol specified by the Internet Engeneering Task Force over at Security Issues in Network Event Logging (syslog)

The layout of the message looks like this:

<Facility * 8 + Severity>mmm dd hh:mm:ss pcname MBM[sensor name]: C=xxxx LA=xxxx HA=xxxx L=xxxx H=xxxx A=xxxxx

Syntax | Explenation | Possible Values
Faciltiy | SystemDeamons | 3
Severity | Informational or Critical | 5 or 1
mmm | Month in 3 characters | jan..dec
dd | Day in 2 digits | 01..31
hh | Hour in 2 digits | 00..23
mm | Minutes in 2 digits | 00..59
ss | Seconds in 2 digits | 00..59
pcname | Name of PC
MBM | MBM | MBM
sensor name | Name of sensor in mbm
C | Current value
LA | Low alarm value
HA | High alarm value
L | Lowest value so far
H | Highest value so far
A | Average value

Normal readings will show as <29>, Readings that breach the alarm value will show as <25> as seen below:

<29>dec 29 00:00:00 LocalHost MBM[CPU]: C=39 LA=5 HA=70 L=33 H=45 A=38
<29>dec 29 00:00:00 LocalHost MBM[VIA]: C=31 LA=5 HA=35 L=27 H=33 A=31
<29>dec 29 00:05:00 LocalHost MBM[CPU]: C=38 LA=5 HA=70 L=33 H=45 A=38
<29>dec 29 00:05:00 LocalHost MBM[VIA]: C=30 LA=5 HA=35 L=27 H=33 A=31
<25>dec 29 00:07:23 LocalHost MBM[CPU]: C=72 LA=5 HA=70 L=33 H=72 A=65
<25>dec 29 00:10:00 LocalHost MBM[CPU]: C=71 LA=5 HA=70 L=33 H=72 A=69
<29>dec 29 00:10:00 LocalHost MBM[VIA]: C=30 LA=5 HA=35 L=27 H=33 A=31
<29>dec 29 00:15:00 LocalHost MBM[CPU]: C=37 LA=5 HA=70 L=33 H=72 A=59
<29>dec 29 00:15:00 LocalHost MBM[VIA]: C=29 LA=5 HA=35 L=27 H=33 A=30

Alarm settings like the dialog box, enable and disable alarm have no effect on the Syslog messages that MBM sends.

The SysLog thread will check for alarms and send it's message on it's own interval.

If you have enabled an alarm (with or without dialog box) then when it's breached an extra message will be send by the SysLog thread.

As is the nature of UDP, message will be send but there will be no verifying to see if it ever arrived

Enable Syslog

Check this box to enable syslog messages

Syslog host address

Enter the IP address of the machine you want to send your UDP Syslog message to

Syslog port

by default this is port 514

Syslog interval

by default this is 300 seconds = 5 minutes.

Sensors to send to Syslog

Check the sensors you want to send to your Syslog server


Settings - E-Mail & FTP

This E-Mail section is divided in 2 sub sections which are again divided in their own subsections:


Settings - E-Mail & FTP - E-Mail

This E-Mail section is divided in 3 sub sections:


Settings - E-Mail & FTP - Emai - Basic

Settings - E-Mail & FTP - E-mail - Basic

Use E-mail

This is the overall checkbox to enable or disable the mail. If you have this enabled, the e-mail settings filled in corectly and the alarm dialog box enabled, then an e-mail will be sent <phew>

From

Your own (or PC's) e-mail address, make sure it's an e-mail address as some mail server do no like anything else

To

To who you want to send the e-mail, if you want to send it to more then one address please use a ; between each e-mail address

Subject

The subject of the e-mail, if you put $PCNAME in there then MBM will replace that with the name from your PC

Add Time and date to e-mail Subject

Check this box to have the time and date added to the subject

What kind of E-mail protocol you want to use

Here you select either MAPI or SMTP, your selection here determins what you see on the E Mail - Settings page

Send Test e-mail using current configuration

Press the e-mail button to do this, that way you can simply check your settings


Settings - E-Mail & FTP - FTP - Settings

Settings - E-Mail & FTP - E-Mail - Settings

Do you want to use the Dial-up Adapter or not

Check this if you do not want to use a dial up adapter for connecting to your FTP site. If you check the button below that, then you can select your dial-up adapter to be used by MBM 5 for the FTP transfer. If you get "not turned on" in the list box then this mean you have not turned RAS support on; go to the General - Advanced tab to turn this option on.

Please make sure that your dial-up adapter is configured to save the password, else MBM 5 cannot use it to make a connection

Type of authentication

Select the type of authentication your SMTP server needs

SMTP mail server

Enter your SMTP mail server here

POP3 mail server

If you authentication needs a POP3 server then enter it here

User ID

If you authentication needs a User ID then enter it here

Password

If you authentication needs a Password then enter it here

SMTP Port

25 is the default value


Settings - E-Mail & FTP - FTP - Options

Settings - E-Mail & FTP - E-Mail - Options

Include interval log as attachment with alarm mail

Check this box if you want any alarm e-mail send with MBM to include any of the (selected) interval logs

Include high/low log as attachment with alarm mail

Check this box if you want any alarm e-mail send with MBM to include any of the (selected) high/low logs

.TXT

Check this if you want to include the .TXT logs in the E-mail

.CSV

Check this if you want to include the .CSV logs in the E-mail

.HTML

Check this if you want to include the .HTML logs in the E-mail

.XML

Check this if you want to include the .XML logs in the E-mail

Send interval log as attachment at set interval time

Check this box if you want any of the (selected) interval logs to be send and the (selected) interval time

Send high/low log as attachment at set interval time

Check this box if you want any of the (selected) high low logs to be send and the (selected) interval time

Interval time for sending log

Select the interval time for sensor a log


Settings - E-Mail & FTP - FTP

This FTP section is divided in 2 sub sections:

Please not that unlike the E-mail option, the FTP option is not made to send alarms, just to FTP the log files at a certain interval to an FTP site.


Settings - FTP - Settings

Settings - E-Mail & FTP - FTP - Settings

Do you want to use the Dial-up Adapter or not

Check this if you do not want to use a dial up adapter for connecting to your FTP site. If you check the button below that, then you can select your dial-up adapter to be used by MBM 5 for the FTP transfer. If you get "not turned on" in the list box then this mean you have not turned RAS support on; go to the General - Advanced tab to turn this option on.

Please make sure that your dial-up adapter is configured to save the password, else MBM 5 cannot use it to make a connection

FTP Server

Enter your FTP server in here: ftp.servername.com for example

Directory on Server

If you want the files to be placed in a specific directory then enter it here, if you don't want this then leave this blank (not even a space !). if you just want to go 1 directory deep then simply enter it. If you want to go more then 1 directory deep then make sure you use forward slashes (unix servers anyway, not sure about windows servers) like this: maidir/subdir or maindir/subdir/

FTP User ID

The user ID to get onto the FTP site, if you want to log in anonymous then enter anonymous

FTP Password

The Password to get onto your FTP site, if you want to log in anonymous then by convention this requires the user's EMail address

Passive FTP

Check this is your FTP server can only handle Passive FTP transfers

Test

If you press this button you can select a file you want to FTP to the above site, if after a while the button responds again then the code has finsihed and you can check on your FTP site if the file arrived


Settings - FTP - Options

Settings - E-Mail & FTP - FTP - Options

Enable FTP

Check this box to turn the FTP feature on

Include high/low log as attachment with alarm mail

Check this box if you want to include the high low log(s) as an attachement on any alarm mail message.The logs that are sent to you are determined by which of the 3rd, 4th or 5th options you select.

.TXT

Check this if you want to include the .TXT logs as attachments

.CSV

Check this if you want to include the .CSV logs as attachments

.HTML

Check this if you want to include the .HTML logs as attachments

.XML

Check this if you want to include the .XML logs as attachments

Send interval log as attachment at set interval time

Check this box if you want to send the interval log(s) at a set interval time via e-mail. The logs that are sent to you are determined by which of the 3rd, 4th or 5th options you select and the interval time you select on the last option

Send high/low log as attachment at set interval time

Check this box if you want to send the high low log(s) at a set interval time via e-mail. The logs that are sent to you are determined by which of the 3rd, 4th or 5th options you select and the interval time you select on the last option

Interval time for sending log

The interval time at which you want to send the logs


Settings - 3rd Party Software

With this part of the program you can start any application and if needed close it when a selected temperature sensor has reached selected sensors.

Use the + and - buttons to add and remove a program to the list. You can have 10 programs in the list.

Enabled

Enable all settings for the selected program

Temperature sensor to which this program should be linked

Select the MBM 5 sensor to which the select program should be linked.

Temperature at which this program should be started

Here you select the start temperature, it is allowed to have the start temperature lower then the stop temperature, in case you need to start something to head the CPU temperature up

Temperature at which this program should be closed

Here you select the stop temperature, it is allowed to have the stop temperature higher then the start temperature, in case you need to stop something after it heated the CPU temperature

Start application with switch

You can start the program you selected with a switch if needed. A special option is to use %value% just like this, so no caps. MBM 5 will replace %value% with the temperature of the selected sensor. So say the temperature is 50c, then filling in switch1 %value% switch3 will start the programm with the switches switch1 50 switch2

Check program is still running after it has been started

If you check this then MBM 5 will check up on the program it started. If the user closed this program then MBM 5 will start it again. This should not be used if the program you start with MBM 5 will stop by itself, else MBM 5 will start it again and again and again

Let MBM close the program it started when MBM itself is closed

That's what it does, if you close MBM 5 it will close the selected program if MBM 5 started it and it's still running


dashboard

Dashboard Screen

The dashboard screen can be opened using the popup menu and selecting Dashboard

You will see a screen similar to this one the 1st time you open the dashboard screen:

Each sensor you select for readout in the settings screen, and for which you check the Display the sensor in dashboard box will appear in this dashboard.

The dashboard has a few icons long its edge, a small explenation follows:

this will close the dashboard
this will minimize the dashboard
pressing this buttom controls how the dashboard window is show,

  1. normal window and shown on taskbard
  2. always ontop window and not shown on taskbar
  3. normal window and not shown on taskbar
  4. always ontop window and not shown on taskbar but if you dock it to a side of the screen it will autohide leaving a line of 2 pixels on the edge of the screen, move your mouse of that and it will pop up again

this will open the settings screen
pressing this button will lock the meters in their place, you can no longer drag them around.
this slider appears if your running windows 2000 or XP and allows your to set the dashboard transparent

The dashboard has some other neat tricks:

- it will snap to the edge of your screen
- you can drag and drop each sensor on the dashboard where you like it like this:

- the second thing you can do is resize the dashboard using the 4 small arrows to fit your new layout of the sensors:

- and finally you can make the dashboard remain always on top using the litte |- button.

Eventually you can end up with something like this:

if these are all the sensor you wanne see.

There is also an option to make the dashboard open automaticly when you start MBM 5, this option can be found in the General section of the Settings window

If you do not want a certain sensor to show up on the dashboard them simply to to the visual section of that sensor and turn of the option.

Finally as of MBM 5.1.0.1, if you right click on the dashboard the sidebar will be removed or replaced


FAQ

This section is has moved to the Forum, so please check:

http://www.livewiredev.com/bbs/forumdisplay.php?s=&forumid=68


Shared Memory

MBM 5 offers the option of Shared Memory, this simply means that it takes all sensor info and places it into a section in memory that can be shared.

The benefits of this depends on your own programming skills and imagination, you can create your own applications to readout this memory and use it to your own liking. As of MBM 5.04 you also have the option to put your own value in this shared memory section (Temperatures section of it), this means that if you have any other tool that mesures temperatures you can simply make that tool put this info into the MBM 5 shared memory and you MBM will tread it like any other temperature, thus alarms, dashboard and logs work exactly the same way.

Because of the updates to this from time to time I have removed the sample code from this help file, please check the web page for updated code


service

MBM 5 as Service

MBM 5 was never designed as a Service, later I tried to recode it a bit so it would work but soon came to the conclusion that I had to restart from scratch, which I am not planning to do right now.

However below is the explenation of a MBM 5 user by the name of Andrew Sasak who has managed to get MBM 5 working as a service together with SHDN:

-----Original Message-----
From: Andrew Sasak [mailto:sasakand@xxx.xxx]
Sent: dinsdag 24 april 2001 19:32
To: Alexander van Kaam
Subject: Re: messing with MBM as service

Success!!!
Thank you for the info, your suggestion made all the difference.

I'll tell you what I did, and how I did it. First I'm using FireDaemon from
http://www.firedaemon.com/. I enabled its auto-restart option, I think this is
necessary to get MBM to remain running during log offs, etc. Also, make sure to
disable the MBM option to run when windows starts.

Then to get SHDN to work (running Win2000) I exported the
HKEY_CURRENT_USER\Software\DynamicWorlds registry entry using regedit,
then I edited this registry file and using NOTEPADS replace function changed
HKEY_CURRENT_USERS to HKEY_USERS\.DEFAULT everywhere it appeared.
Then double clicking on the reg file adds the appropriate keys to your registry.

I tested it both logged off and logged on, and both ways it shutsdown.
One thing I did notice though, when logged on and alarm occurence, it logs off,
which closes MBM, which is then automatically restarted. Then while it is
shutting down, another alarm occurs. However this does not cause the shutdown to
hang, and the shutdown and continues..

Another thing ... it would be good to notify people that SHDN will wait for a
response to shutdown if it is unregistered after 2 weeks. I'm sure not
everybody realizes this, and it could be disastrous for people who are depending
on it if there cpu ever reaches a dangerous level.

Andrew Sasak


Acknowledgement

MBM 5 uses AdCpuUsage unit designed by Alexey Dynnikov

Copyright

CPU Usage Measurement routines for Delphi and C++ Builder

Author: Alexey A. Dynnikov
EMail: aldyn@chat.ru
WebSite: http://www.aldyn.ru/
Support: Use the e-mail aldyn@chat.ru
or support@aldyn.ru

Creation: Jul 8, 2000
Version: 1.02

Legal issues: Copyright (C) 2000 by Alexey A. Dynnikov <aldyn@chat.ru>

This software is provided 'as-is', without any express or implied warranty. In no event will the author be held liable for any damages arising from the use of this software.

Permission is granted to anyone to use this software for any purpose, including commercial applications, and to alter it and redistribute it freely, subject to the following restrictions:

1. The origin of this software must not be misrepresented, you must not claim that you wrote the original software. If you use this software in a product, an acknowledgment in the product documentation would be appreciated but is not required.

2. Altered source versions must be plainly marked as such, and must not be misrepresented as being the original software.

3. This notice may not be removed or altered from any source
distribution.


Acknowledgement

MBM 5 uses code created by Wolfgang Ebner to access the AsusDoctor anvmi.dll


Acknowledgement

MBM 5 uses the Indy Internet Direct components for it's E-Mail, FTP and UDP

Indy BSD License

Copyright

Copyright (c) 1993 - 2000, Chad Z. Hower (Kudzu) and the Indy Pit Crew - http://www.nevrona.com/Indy/

License

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

  • Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
  • Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
  • All advertising materials mentioning features or use of this software must display the following acknowledgement:

    This product includes software developed by the Chad Z. Hower (Kudzu) and the Indy Pit Crew - http://www.nevrona.com/Indy/

  • No personal names or organizations names associated with the Indy project may be used to endorse or promote products derived from this software without specific prior written permission of the specific individual or organization.

THIS SOFTWARE IS PROVIDED BY Chad Z. Hower (Kudzu) and the Indy Pit Crew "AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


Acknowledgement

MBM 5 uses MBMIO.DLL and MBMIODRV.SYS as it's IO system driver.

Copyright

Author: Chris St. Amand
WebSite: http://cansoft.livewiredev.com/

Creation: Feb 2002
Version: MBMIO.DLL: 1.0.0.1
Version: MBMIODRV.SYS: 5.0.2195.1620

Legal issues: Copyright (C) 2002 by Chris St. Amand

This software is provided 'as-is', without any express or implied warranty. In no event will the author be held liable for any damages arising from the use of this software.

Permission is granted to Alexander van Kaam and/or the MBM software to use these drivers.

CanSoft can be contacted at the above mentioned webpage for any info regarding it's IO driver or any of it's other software


Acknowledgement

I would like to thank Mark P, Micah S. and the rest of the nForce team at NVIDIA for their help and support with getting MBM to work on their nForce and their Crush K8 Chipset. They really went out of their way to help me with this and of course, for the trust they placed in me.

Alex


Acknowledgement

MBM 5 uses Parser created by BitSoft software for it's Voltage calculations from the voltage.ini and voltage custom.ini files

Copyright

Author: BitSoft Software
WebSite: http://www.bitsoft.com

Creation: 1997
Version: 1.4


Acknowledgement

MBM 5 uses code created by Tamas Milkos over at http://www.aida32.hu/ to access the S.M.A.R.T to get Temperature readings


Acknowledgement

MBM 5 uses code so get SCSI temp readings based on C++ code originaly send in by Craig Johnston


Settings

Appendix

This is just contains those little help sections linked to from within the help file but that don't have a fix place in the help file.


Color Constant

Taken from the Delphi 5 Help File:

The following table lists the color constants from the Graphics unit. The first two columns list the colors that map to the closest matching color in the system palette, while the last two columns list the colors that are defined in the Windows Control panel.

Value | Meaning | Value | Meaning
clAqua | Aqua | clBackground | Current background color of the Windows desktop
clBlack | Black | clActiveCaption | Current color of the title bar of the active window
clBlue | Blue | clInactiveCaption | Current color of the title bar of inactive windows
clDkGray | Dark Gray | clMenu | Current background color of menus
clFuchsia | Fuchsia | clWindow | Current background color of windows
clGray | Gray | clWindowFrame | Current color of window frames
clGreen | Green | clMenuText | Current color of text on menus
clLime | Lime green | clWindowText | Current color of text in windows
clLtGray | Light Gray | clCaptionText | Current color of the text on the title bar of the active window
clMaroon | Maroon | clActiveBorder | Current border color of the active window
clNavy | Navy blue | clInactiveBorder | Current border color of inactive windows
clOlive | Olive green | clAppWorkSpace | Current color of the application workspace
clPurple | Purple | clHighlight | Current background color of selected text
clRed | Red | clHightlightText | Current color of selected text
clSilver | Silver | clBtnFace | Current color of a button face
clTeal | Teal | clBtnShadow | Current color of a shadow cast by a button
clWhite | White | clGrayText | Current color of text that is dimmed
clYellow | Yellow | clBtnText | Current color of text on a button
 |  | clInactiveCaptionText | Current color of the text on the title bar of an inactive window
 |  | clBtnHighlight | Current color of the highlighting on a button
 |  | cl3DDkShadow | Dark shadow for three-dimensional display elements
 |  | cl3DLight | Light color for three-dimensional display elements (for edges facing the light source)
 |  | clInfoText | Text color for tool tip controls
 |  | clInfoBk | Background color for tool tip controls


Color Hex

Taken from the Delphi 5 Help File:

If you specify a Color as a specific 4-byte hexadecimal number instead of using the Color constants , the low three bytes represent RGB color intensities for blue, green, and red, respectively. The value $00FF0000 represents full-intensity, pure blue, $0000FF00 is pure green, and $000000FF is pure red. $00000000 is black and $00FFFFFF is white.

If the highest-order byte is zero ($00), the color obtained is the closest matching color in the system palette. If the highest-order byte is one ($01), the color obtained is the closest matching color in the currently realized palette. If the highest-order byte is two ($02), the value is matched with the nearest color in the logical palette of the current device context.


Advanced Features

MBM support a few advanced features, these are not controlled via the settings screen but rather via editing the MBM 5.ini file.

Reason for this is that these features have been implemented for only a few users, thus there is no need to put them in the settings interface.


Temperatures from your Asus Geforce Card

You need version 2.x installed of the Asus Doctor utility and MBM will autodetect it and show you the possible sensors, if you do not want mbm to detect the asus card then please do the following

Configuring This Advanced Feature

  1. Close MBM 5 if it is already running.
  2. Locate the MBM 5.ini file and open it with a text editor.
  3. Locate the [advanced] section and change the value behind Asus Doctor =1 to 0, if the line Asus Doctor does not exist then simply add it

by default this value is 1 and thus MBM will check for smart doctor


Delay MBM reading sensor chip

If for any reason you want MBM not to start reading your sensor chip right away then edit the MBM 5.ini file and find Startup Delay in millisecond=0 in the [ADVANCED] section, change the 0 to 10000 for a 10 sec delay in the mbm startup.

MBM will startup but then wait 10 seconds (or more if you entered a higher value) before initializing, so you won't see MBM but it in the background waiting till the time is up


Turning of Sensor parts in MBM

If your not intrested in the Temp, Voltage or Fan readout of MBM and want to save system resources then you can turn them off by adding a few lines to the Advanced section in the MBM 5.ini file:

Edit the MBM 5.ini file and find the [ADVANCED] section,

add the line Read Temps=0 this will make MBM skip the temperature readout

add the line Read Voltage=0 this will make MBM skip the voltage readout

add the line Read Fans=0 this will make MBM skip the fan readout


Ignore VIA686

There are boards that have a VIA686 sensor chip (not really used) and a Winbond Sensor chip, MBM detects the VIA686 first and ignores the Winbond after that, to overcome this problem you can tell MBM to ignore the VIA686.

Edit the MBM 5.ini file and find the [ADVANCED] section, add/change the line Ignore VIA686=1


Ignore WM_WTSSESSION_CHANGE

WM_WTSSESSION_CHANGE is a windows XP message that gets send to MBM when there is a terminal session log-on or log-off, by default MBM intercepts this message and goes into pause when your log off and in resume when you log on, this is to avoid multiple session to run at the same time, this seems to work alright except for a few users, so if for some reason MBM goes into pause then change this value to 1.

Edit the MBM 5.ini file and find the [ADVANCED] section, add/change the line Ignore WM_WTSSESSION_CHANGE=1


LM90 Switching

Officially there can only be 1 LM90 on a PC, however it is possible so make it switch between 2 CPU's, this is something IWill has done with their MPX2, if you want to use this feature then make sure you 1st set your current LM90's to none, next apply and close MBM then do the part below and you will see 4 instead of 2 LM90 sensors, 2 remote and 2 local

If you want to select all 4 then I recommend you it like this:

LM90-1-Local
LM90-1-Remote
LM90-2-Local
LM90-2-Remote

and not mix the 1 and 2 up, it will only make problems and I also suggest you don't go lower then 5 seconds with the MBM interval

Edit the MBM 5.ini file and find the [ADVANCED] section, add/change the line LM90 Switch=X where X is a number between 1 and 24. Warning: do not set a random number, stick to the table below !!!!!

Board | Value of X
IWill MPX2 | 1

The switching of the LM90 and reading it out right away might -in some cases- be to fast for the LM90 to get a new value from the "other" CPU, if this is the case you should see the temperature of a CPU jump at time to the same value of the other CPU.

If this is happening than you can include a pause, this will slow MBM a little down but might be what you need.

Edit the MBM 5.ini file and find the [ADVANCED] section, add/change the line LM90 Pause=X where X is a number between 1 and 500 and represents the miliseconds that MBM should pause after a switch, 500 = 1/2 second


MAX6651

The MAX6651 is a sensor chip only for fan readout, this sensor chip is not automaticly detected by MBM because it has no device ID and it can be located on an adres which a normal sensor chip uses, so if I where to autodetect it many users would suddenly get this sensor chip in their fan list while they don't even have it

Edit the MBM 5.ini file and find the [ADVANCED] section, add the line MAX6651=1 this will make MBM scan for it.

Please understand that the fan dividor on this sensor chip counts for ALL fans and thus should be set the same for all the MAX6651's of 1 chip found. The last one MBM sets when starting up is the one that will overrule all others

example:

Fan 1 : MAX6651-1-1 : dividor 2
Fan 2 : MAX6651-1-1 : dividor 4
Fan 2 : MAX6651-1-1 : dividor 8
Fan 4 : MAX6651-1-1 : dividor 4

for all fans MBM will set the dividor to 4 since Fan 4 has it at 4.


Switches

There are several switches with which you can start mbm, for up to date info please check http://www.livewiredev.com/bbs/showthread.php?s=&postid=16716#post16716


Messages

Some items in MBM can be controlled via messages

To send a message you need to get the handle of MBM5 and then post the message to this handle:

var
  MBM5Handle : THandle;
begin
  MBM5Handle:=FindWindow('TMBM', Nil);
  PostMessage(MBM5Handle,WM_YOURMESSAGE,0,0);
end;

The messages you can use are shown below, please note that WM_USER stands for $0400 which is 1024

WM_WRITELH | WM_USER + 406 | This has the same effect as pressing the save button on the high/low tab
WM_OPENSETTINGS | WM_USER + 407 | This will open the settings window
WM_OPENDASHBOARD | WM_USER + 408 | This will open the dashboard
WM_OPENHELP | WM_USER + 410 | This will open the help file
WM_CLOSEMBM | WM_USER + 499 | This will close MBM in a correct way
WM_CLOSEOSD | WM_USER + 500 | This will close the OSD if it's open
WM_OPENOSD | WM_USER + 501 | This will open the OSD if it's closed
WM_DUMPISA | WM_USER + 502 | This will make MBM do a ISA dump and store it in mbm\dump\isa.txt
WM_DUMPSMB | WM_USER + 503 | This will make MBM do a SMB dump and store it in mbm\dump\smb.txt
WM_DUMPPCI | WM_USER + 504 | This will make MBM do a PCI dump and store it in mbm\dump\pci.txt
WM_DUMPVIA | WM_USER + 508 | This will make MBM do a VIA dump and store it in mbm\dump\via.txt


Never Disable Alarm

If you don't want MBM to disable an alarm then set the option below, whatever the user selected, the alarm will not be disabled when it goes off

Edit the MBM 5.ini file and find the [ADVANCED] section, add/change the line Never Disable Alarm=1


Set SMB Range

There are a few board that tend to lockup when scanning the full Smbus range, for this reason you can limit the range you want to scan.

Edit the MBM 5.ini file and find SMBus Low Scan=$10 and SMBus Low Scan=$7F in the [ADVANCED] section, you can adjust these 2 values to a range you want to try.

  • Do not go below $10 or over $7F
  • Primary sensor chip normaly sit between $20 and $2F
  • Remember that these values are in Hex, so:
    0,1,2,3,4,5,6,7,8,9,A,B,C,D,E,F,
    10,11,12,13,14,15,16,17,18,19,1A,1B,1C,1D,1E,1F...... etc. etc.
  • Remember to always put a $ infront of them


Standby

There are some issues at seems with standby and sensor chip, for that reason you can always make mbm restart after standby, to do so please do the following

Edit the MBM 5.ini file and find the [ADVANCED] section, add the line Restart on all standby=1 this shouild fix the issue, if not then contact me


Temperatures Based on Fan Speed

Mother Board Monitor 5 now supports RPM conversion for temperature sensing variable speed fans or "smart" fans. Smart fans increase their speed and airflow in response to a temperature sensor mounted on the fan. MBM 5 cannot read the fan's temperature sensor directly but it can provide an estimate based on the fan's speed and a user supplied calibration table.

Important: MBM 5 does NOT control the fan speed -- it just estimates the temperature that the fan's sensor is reporting.

Configuring This Advanced Feature

  1. Close MBM 5 if it is already running.
  2. Locate the MBM 5.ini file and open it with a text editor.
  3. Locate the line "Temp Based on Fan Speed=0" in the [Advanced] section and change it to "Temp Based on Fan Speed=1"
  4. Edit the FanTempList.ini file to describe the relationship between RPM and temperature for your fan. (See sample
    calibration tables below.)
  5. Start MBM and open the Settings screen. The Temperatures sensor pulldown list will now include "Based on Fan 1 speed, Based on Fan 2 speed,...Based on Fan 10 speed."
  6. Select the variable speed fan you wish to use for temperature estimates.
  7. 7. You should now have a temperature reading based on the selected fan's speed and your calibration table.

Remember, the reading you get is only as accurate as your calibration table and MBM 5 is NOT controlling the speed of your fan.

Sample Calibration Table for 80mm Thermal Take Smart Case Fan. Each fan should be individually calibrated for the most accurate results. (This fan has its temperature sensor on a 3" lead making it possible to position it for several configurations. Its temperature response range runs from about 25 to 35 degrees C. Available from http://www.thecardcooler.com/ )

Thermal Take Smart Case Fan
Use one RPM:Temp value pair per line

/*********************************************/
/* format : FanSpeed Temperature */
/* example: 1200:34 */
/* 1250:36 */
/* do not remove these lines and start */
/* directly below this section */
/*********************************************/
0:0
1000:10
2000:20
2480:23
2690:24
2900:25
3110:26
3320:27
3530:28
3740:29
3950:30
4160:31
4370:32
4580:33
4790:34
5000:35
5210:36

Sample Calibration Table for 92mm Generic Variable Speed Fan. Each fan should be individually calibrated for the most accurate results. (This fan has its temperature sensor mounted directly on the hub making it best suited as an exhaust fan. Its temperature response range runs from about 15 to 45 degrees C. Available from http://www.thecardcooler.com/ )

Generic Variable Speed Fan
Use one RPM:Temp value pair per line

/*********************************************/
/* format : FanSpeed Temperature */
/* example: 1200:34 */
/* 1250:36 */
/* do not remove these lines and start */
/* directly below this section */
/*********************************************/
1800:15
1840:16
1880:17
1920:18
1960:19
2000:20
2060:21
2120:22
2180:23
2240:24
2300:25
2360:26
2420:27
2480:28
2540:29
2600:30
2660:31
2720:32
2780:33
2840:34
2900:35
2920:36
2940:37
2960:38
2980:39
3000:40
3020:41
3040:42
3060:43
3080:44
3100:45


VT1211 Scanning

The VIA VT1211 sensor chip also used for example on the EPIA-M10000 has a possible device ID that is similair to the Winbond 83697HF, to avoid a wrong detection the scanning for the VT1211 can only be enabled via a switch in the ini file (or via the installer) and disabled only via the ini file

Edit the MBM 5.ini file and find the [ADVANCED] section, add/change the line VT1211 Scanning=1


Support

If you need support you can contact me at mbm@livewiredev.com , but please make sure you read the help file and read the FAQ , checked the webpage and thought about it.

I am really getting tired of the "I get no readings, help me" mail, if you get no readings then MBM 5 simply does not work. There is no magic wand I can wave.

If your board is not on my webpage then it does not mean it does not work, it simply means nobody tried it and sent me feeback.

Also make sure if you contact me for help to include the system info text from MBM 5.

Thank you

Alexander


System Info

Open the MBM 5 setting screen by right clicking on the icon in your system tray and selecting settings.

Select the General tab in the left menu of the settings screen

Select the Advanced section on the top menu of the settings screen and make sure you have the box "show all possible sensors" NOT checked

Select the System info tab on the top menu of the settings screen

Press the little PC icon on the bottom of the System info tab

Once you have the dump press the little copy button on the bottom of the System info tab and you can then Paste this info into an e-mail